# Record Class ARI1VersionQualifier

java.lang.Object
java.lang.Record
com.io7m.aradine.instrument.spi1.ARI1VersionQualifier

Record Components:
  `text` - The qualifier text

All Implemented Interfaces:
  `Comparable<ARI1VersionQualifier>`

public record ARI1VersionQualifier(String text) extends Record implements Comparable<ARI1VersionQualifier>
A version number qualifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ARI1VersionQualifier(String text)`
  A version number qualifier.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(ARI1VersionQualifier other)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `isSnapshot()`
  `String`
  `text()`
  Returns the value of the `text` record component.
  `String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ARI1VersionQualifier

    public ARI1VersionQualifier(String text)
    A version number qualifier.
    Parameters:
      `text` - The qualifier text

- ## Method Details

  - ### isSnapshot

    public boolean isSnapshot()
    Returns:
      `true` if this version qualifier denotes a snapshot version

  - ### compareTo

    public int compareTo(ARI1VersionQualifier other)
    Specified by:
      `compareTo` in interface `Comparable<ARI1VersionQualifier>`

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### text

    public String text()
    Returns the value of the `text` record component.
    Returns:
      the value of the `text` record component